<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

class Rating_Generic
{
	static function init($type=null)
	{
		if (!$type) $type=config::get('core.user_rating_class')?config::get('core.user_rating_class'):'Lab';
		$class='Rating_'.$type;
		return new $class();
	}
}